@use '@angular/material' as mat;

@include mat.core();

// Light theme
$light-primary: mat.define-palette(mat.$indigo-palette);
$light-accent: mat.define-palette(mat.$gray-palette, 900);
$light-warn: mat.define-palette(mat.$red-palette);

$light-theme: mat.define-light-theme((
  color: (
    primary: $light-primary,
    accent: $light-accent,
    warn: $light-warn,
  )
));

// Dark theme
$dark-primary: mat.define-palette(mat.$deep-purple-palette);
$dark-accent: mat.define-palette(mat.$gray-palette, 900);
$dark-warn: mat.define-palette(mat.$red-palette);

$dark-theme: mat.define-dark-theme((
  color: (
    primary: $dark-primary,
    accent: $dark-accent,
    warn: $dark-warn,
  )
));

@include mat.all-component-themes($light-theme);

.dark-theme {
  @include mat.all-component-themes($dark-theme);
}
